Update an application
curl --request PATCH \
--url https://backend.trusys.ai/api/external/applications/{applicationId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "Customer Support Bot v2",
"description": "Updated description after product rename"
}
'import requests
url = "https://backend.trusys.ai/api/external/applications/{applicationId}"
payload = {
"name": "Customer Support Bot v2",
"description": "Updated description after product rename"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Customer Support Bot v2',
description: 'Updated description after product rename'
})
};
fetch('https://backend.trusys.ai/api/external/applications/{applicationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://backend.trusys.ai/api/external/applications/{applicationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Customer Support Bot v2',
'description' => 'Updated description after product rename'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://backend.trusys.ai/api/external/applications/{applicationId}"
payload := strings.NewReader("{\n \"name\": \"Customer Support Bot v2\",\n \"description\": \"Updated description after product rename\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://backend.trusys.ai/api/external/applications/{applicationId}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Customer Support Bot v2\",\n \"description\": \"Updated description after product rename\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://backend.trusys.ai/api/external/applications/{applicationId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Customer Support Bot v2\",\n \"description\": \"Updated description after product rename\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Customer Support Bot v2",
"description": "Updated description after product rename",
"updatedAt": "2026-07-02T15:00:00.000Z"
}
}{
"success": false,
"message": "Invalid request body",
"errors": [
{
"path": "name",
"message": "name is required"
}
]
}{
"message": "Error while verifying api key"
}{
"success": false,
"message": "Application not found"
}{
"success": false,
"message": "An application named \"Customer Support Bot\" already exists in this project"
}Update an application
Updates the display name and/or description of an existing application.
At least one of name or description must be provided. Renaming fails with 409 if another application in the same project already uses that name.
PATCH
/
applications
/
{applicationId}
Update an application
curl --request PATCH \
--url https://backend.trusys.ai/api/external/applications/{applicationId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "Customer Support Bot v2",
"description": "Updated description after product rename"
}
'import requests
url = "https://backend.trusys.ai/api/external/applications/{applicationId}"
payload = {
"name": "Customer Support Bot v2",
"description": "Updated description after product rename"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Customer Support Bot v2',
description: 'Updated description after product rename'
})
};
fetch('https://backend.trusys.ai/api/external/applications/{applicationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://backend.trusys.ai/api/external/applications/{applicationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Customer Support Bot v2',
'description' => 'Updated description after product rename'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://backend.trusys.ai/api/external/applications/{applicationId}"
payload := strings.NewReader("{\n \"name\": \"Customer Support Bot v2\",\n \"description\": \"Updated description after product rename\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://backend.trusys.ai/api/external/applications/{applicationId}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Customer Support Bot v2\",\n \"description\": \"Updated description after product rename\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://backend.trusys.ai/api/external/applications/{applicationId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Customer Support Bot v2\",\n \"description\": \"Updated description after product rename\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Customer Support Bot v2",
"description": "Updated description after product rename",
"updatedAt": "2026-07-02T15:00:00.000Z"
}
}{
"success": false,
"message": "Invalid request body",
"errors": [
{
"path": "name",
"message": "name is required"
}
]
}{
"message": "Error while verifying api key"
}{
"success": false,
"message": "Application not found"
}{
"success": false,
"message": "An application named \"Customer Support Bot\" already exists in this project"
}Authorizations
Path Parameters
Body
application/json
Fields to update. Omitted fields are left unchanged.